Home of the Squeezebox™ & Transporter® network music players.
Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 27

Thread: Ubuntu 20.4

  1. #11
    Babelfish's Best Boy mherger's Avatar
    Join Date
    Apr 2005
    Location
    Switzerland
    Posts
    20,452

    Ubuntu 20.4

    > So nobody installed Logitechmediaserver with perl 5.30?

    There are thousands of ARM based systems out there running LMS. But
    requests for Perl 5.30 haven't come up often. I must assume that popular
    choices of distributions (in particular pCP, max2play & Raspberry OS)
    aren't using it. It's simply a question of priorities.

    > Is it possible to install an older version of perl or another solution
    > to open the webbrowser (port 9000 doesnt appear with netstat - tlpn)


    As outlined by Roland building your own might be your best choice.

    --

    Michael

  2. #12
    Junior Member
    Join Date
    Aug 2020
    Posts
    15
    Quote Originally Posted by Roland0 View Post
    It runs on x86_64 (i.e. AMD / Intel)


    The port issue is a red herring - LMS simply cannot start (as there are no binary modules for perl 5.30)
    Downgrading the system perl isn't realistic.
    Options:
    - use a OS distribution providing perl <= 5.28
    - install a custom perl <= 5.28 (separate from the main OS) and use this to run LMS
    - compile the binary modules for perl 5.30 yourself
    ok thanks for your answers.
    i am not able to create this by myself...but maybe layter someone will make lms package for ubuntu 20.4 on arm pi4.

  3. #13
    Senior Member kappclark's Avatar
    Join Date
    Apr 2009
    Location
    Southern VT, USA
    Posts
    183
    So, are we saying LMS has "issues" in the 20.04 environment ?
    I am using 16.04 with latest LMS - was considering moving to 20.04, but maybe not so fast
    ----------------------------------------------
    Bill Clark, Windham, VT
    Logitech Media Server Version: 7.9.3 - 1597698350 @ Tue Aug 18 04:13:31 CEST 2020
    Hostname: ubuntu-lms - ProxMox Virtual Environment 5.4-3 | Ubuntu 16.04 xenial
    piCorePlayer | piCorePlayer v6.0.0 | www v0005 | linux 4.19.105-pcpCore_v7 | piCore v10.3pCP | Squeezelite v1.9.6-1206-pCP
    -----------------------------------------------

  4. #14
    Junior Member
    Join Date
    Aug 2020
    Posts
    15
    well, with my pi 4.
    probably a problem with perl 5.30,
    i tried with pcp which has perl 5.28 and i have no problem to install LMS.
    with ubuntu 20.4, i can't open the webbrowser after installation (http://ipadress:9000), access denied (check your internet connection or your firewall...)
    emby server is installed on ubuntu 20.4, everything works so i haven't tried with ubuntu 16.04...

  5. #15
    Senior Member kappclark's Avatar
    Join Date
    Apr 2009
    Location
    Southern VT, USA
    Posts
    183
    Must be the firewall --

    HERE is a pretty good discussion on changinging settings in UFW

    Let us know how it goes...
    ----------------------------------------------
    Bill Clark, Windham, VT
    Logitech Media Server Version: 7.9.3 - 1597698350 @ Tue Aug 18 04:13:31 CEST 2020
    Hostname: ubuntu-lms - ProxMox Virtual Environment 5.4-3 | Ubuntu 16.04 xenial
    piCorePlayer | piCorePlayer v6.0.0 | www v0005 | linux 4.19.105-pcpCore_v7 | piCore v10.3pCP | Squeezelite v1.9.6-1206-pCP
    -----------------------------------------------

  6. #16
    Senior Member
    Join Date
    Jan 2010
    Location
    Hertfordshire
    Posts
    5,014
    Quote Originally Posted by kappclark View Post
    Must be the firewall --

    HERE is a pretty good discussion on changinging settings in UFW

    Let us know how it goes...
    No it is the perl version.

    Sent from my Pixel 3a using Tapatalk

  7. #17
    Member
    Join Date
    May 2017
    Location
    Saint-Siméon, France
    Posts
    59
    From memory, when I installed 20.04 server on my RPi4, to get LMS running I had to compile Perl binaries according to this page:

    https://github.com/Logitech/slimserv...ublic/7.9/CPAN

    LMS ran perfectly, but I couldn't get the ShairTunes2 (fork) plugin 2 work. Thinking Ubuntu may be the problem, I subsequently installed Raspbian, hoping that that would solve the Shairtunes issue, but to no avail.

    However, I stuck with Raspbian, and have a server uptime of 57 days (we have a fair number of power outages in rural Northern France...)

  8. #18
    Junior Member
    Join Date
    Aug 2020
    Posts
    15
    Quote Originally Posted by Yatsushiro View Post
    From memory, when I installed 20.04 server on my RPi4, to get LMS running I had to compile Perl binaries according to this page:

    https://github.com/Logitech/slimserv...ublic/7.9/CPAN

    LMS ran perfectly, but I couldn't get the ShairTunes2 (fork) plugin 2 work. Thinking Ubuntu may be the problem, I subsequently installed Raspbian, hoping that that would solve the Shairtunes issue, but to no avail.

    However, I stuck with Raspbian, and have a server uptime of 57 days (we have a fair number of power outages in rural Northern France...)
    well, thanks!
    i could try this, but is it possible to have more installation details, or a tuto for pi4?

  9. #19
    Senior Member
    Join Date
    Jan 2011
    Location
    Staffordshire. UK
    Posts
    3,580
    Quote Originally Posted by Yatsushiro View Post
    From memory, when I installed 20.04 server on my RPi4, to get LMS running I had to compile Perl binaries according to this page:

    https://github.com/Logitech/slimserv...ublic/7.9/CPAN

    LMS ran perfectly, but I couldn't get the ShairTunes2 (fork) plugin 2 work. Thinking Ubuntu may be the problem, I subsequently installed Raspbian, hoping that that would solve the Shairtunes issue, but to no avail.

    However, I stuck with Raspbian, and have a server uptime of 57 days (we have a fair number of power outages in rural Northern France...)
    I always run the following (I use raspberry PI OS Buster)


    Code:
    sudo apt install libnet-ssleay-perl libio-socket-ssl-perl  libcrypt-openssl-rsa-perl lame -y
    The rsa-perl is for ShairTunes2 .

    One or other of the first two is sufficient to install both (if you can follow me) but I never bother

    ronnie

  10. #20
    Member
    Join Date
    May 2017
    Location
    Saint-Siméon, France
    Posts
    59
    Quote Originally Posted by davidscrat View Post
    well, thanks!
    i could try this, but is it possible to have more installation details, or a tuto for pi4?
    It was a while ago, but from memory, assuming you have 20.04 server up and running, and your preferred LMS installed via dpkg -i:

    1. Git clone https://github.com/Logitech/slimserver-vendor.git, from here https://github.com/Logitech/slimserver-vendor

    2. As per the readme, sudo apt install the following (some of which may well be already installed):
    nasm
    make, gcc
    rsync
    patch
    g++
    libc-bin
    zlib1g-dev
    libgd-dev
    libmodule-install-perl

    3. cd to the CPAN directory (created in the clone process above) and run ./buildme.sh, as per the readme.

    4. Assuming no errors, then cp the relevant directory, again as per the readme instruction

    5. Start LMS by running sudo systemctl start logitechmediaserver

    6. If all is well, sudo systemctl enable logitechmediaserver to autostart LMS on boot.

    If I can recall any other details, I'll edit this post, but the above should get you a running LMS. I believe that the slimserver-vendor github is 'managed' by Michael Herger, so he should be able to help with any issues...

    Good Luck!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •